// Copyright 2017 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

//go:build !no_openssl

package tls

import (
	boring "crypto/internal/backend"
	"crypto/internal/boring/fipstls"
)

func init() {
	if boring.Enabled() && !boring.ExecutingTest() {
		fipstls.Force()
	}
}

// needFIPS returns fipstls.Required(), which is not available without the
// !no_openssl build tag.
func needFIPS() bool {
	return fipstls.Required()
}
func supportsHKDF() bool {
	return boring.SupportsHKDF()
}

